using data.Domain.UseCase;
using data.Repository;


public class ServiceExtencions
{
    public void ConfigureServices(IServiceCollection services)
    {
        // Регистрация репозиториев
        services.AddScoped<IUserRepository, SQLUserRepositoryImpl>() // Регистрация IUserRepository и его реализации
                .AddScoped<IGroupRepository, SQLGroupRepositoryImpl>()
                .AddScoped<IPresenceRepository, SQLPresenceRepositoryImpl>()
                .AddScoped<UseCaseGeneratePresence>();  // Регистрация UseCase

        // Прочие сервисы
        services.AddControllers();
    }
}